Subject: Re: linux-next: build failure after merge of the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 24 Mar 2015 14:24:22 +1100

Hi Al,

On Fri, 13 Mar 2015 12:02:50 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the vfs tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> fs/ext4/indirect.c: In function 'ext4_ind_direct_IO':
> fs/ext4/indirect.c:653:2: error: implicit declaration of function 'iov_iter_count' [-Werror=implicit-function-declaration]
>   size_t count = iov_iter_count(iter);
>   ^
> 
> Caused by commit 3737c63e1fb0 ("fs: move struct kiocb to fs.h").  aio.h
> used to include uio.h ...
> 
> I wonder if there is more fallout from this include file diet.
> 
> It would have been nice if the more general changes to aio.h were in a
> separate patch.
> 
> I added the following patch for today:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 13 Mar 2015 11:56:46 +1100
> Subject: [PATCH] ext4: iov_iter_count needs linux/uio.h
> 
> Fixes: 3737c63e1fb0 ("fs: move struct kiocb to fs.h")
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  fs/ext4/indirect.c | 2 ++
>  1 file changed, 2 insertions(+)
> 
> diff --git a/fs/ext4/indirect.c b/fs/ext4/indirect.c
> index 33308738a06a..a9369e5d2cc1 100644
> --- a/fs/ext4/indirect.c
> +++ b/fs/ext4/indirect.c
> @@ -20,6 +20,8 @@
>   *	([email-masked]), 1993, 1998
>   */
>  
> +#include <linux/uio.h>
> +
>  #include "ext4_jbd2.h"
>  #include "truncate.h"
>  
> -- 
> 2.1.4

I am still applying the above patch every day ...
-- 
Cheers,
Stephen Rothwell                    [email-masked]